# Uses of Class
org.lwjgl.util.vector.Matrix2f

Packages that use Matrix2f
Package
Description
org.lwjgl.util.vector

## Uses of Matrix2f in org.lwjgl.util.vector

Methods in org.lwjgl.util.vector that return Matrix2f
Modifier and Type
Method
Description
`static Matrix2f`
Matrix2f.`add(Matrix2f left, Matrix2f right, Matrix2f dest)`
Add two matrices together and place the result in a third matrix.
`static Matrix2f`
Matrix2f.`invert(Matrix2f src, Matrix2f dest)`
Invert the source matrix and place the result in the destination matrix.
`Matrix2f`
Matrix2f.`load(Matrix2f src)`
Load from another matrix
`static Matrix2f`
Matrix2f.`load(Matrix2f src, Matrix2f dest)`
Copy the source matrix to the destination matrix.
`static Matrix2f`
Matrix2f.`mul(Matrix2f left, Matrix2f right, Matrix2f dest)`
Multiply the right matrix by the left and place the result in a third matrix.
`Matrix2f`
Matrix2f.`negate(Matrix2f dest)`
Negate this matrix and stash the result in another matrix.
`static Matrix2f`
Matrix2f.`negate(Matrix2f src, Matrix2f dest)`
Negate the source matrix and stash the result in the destination matrix.
`static Matrix2f`
Matrix2f.`setIdentity(Matrix2f src)`
Set the source matrix to be the identity matrix.
`static Matrix2f`
Matrix2f.`setZero(Matrix2f src)`
`static Matrix2f`
Matrix2f.`sub(Matrix2f left, Matrix2f right, Matrix2f dest)`
Subtract the right matrix from the left and place the result in a third matrix.
`Matrix2f`
Matrix2f.`transpose(Matrix2f dest)`
Transpose this matrix and place the result in another matrix.
`static Matrix2f`
Matrix2f.`transpose(Matrix2f src, Matrix2f dest)`
Transpose the source matrix and place the result in the destination matrix.
Methods in org.lwjgl.util.vector with parameters of type Matrix2f
Modifier and Type
Method
Description
`static Matrix2f`
Matrix2f.`add(Matrix2f left, Matrix2f right, Matrix2f dest)`
Add two matrices together and place the result in a third matrix.
`static Matrix2f`
Matrix2f.`invert(Matrix2f src, Matrix2f dest)`
Invert the source matrix and place the result in the destination matrix.
`Matrix2f`
Matrix2f.`load(Matrix2f src)`
Load from another matrix
`static Matrix2f`
Matrix2f.`load(Matrix2f src, Matrix2f dest)`
Copy the source matrix to the destination matrix.
`static Matrix2f`
Matrix2f.`mul(Matrix2f left, Matrix2f right, Matrix2f dest)`
Multiply the right matrix by the left and place the result in a third matrix.
`Matrix2f`
Matrix2f.`negate(Matrix2f dest)`
Negate this matrix and stash the result in another matrix.
`static Matrix2f`
Matrix2f.`negate(Matrix2f src, Matrix2f dest)`
Negate the source matrix and stash the result in the destination matrix.
`static Matrix2f`
Matrix2f.`setIdentity(Matrix2f src)`
Set the source matrix to be the identity matrix.
`static Matrix2f`
Matrix2f.`setZero(Matrix2f src)`
`static Matrix2f`
Matrix2f.`sub(Matrix2f left, Matrix2f right, Matrix2f dest)`
Subtract the right matrix from the left and place the result in a third matrix.
`static Vector2f`
Matrix2f.`transform(Matrix2f left, Vector2f right, Vector2f dest)`
Transform a Vector by a matrix and return the result in a destination vector.
`Matrix2f`
Matrix2f.`transpose(Matrix2f dest)`
Transpose this matrix and place the result in another matrix.
`static Matrix2f`
Matrix2f.`transpose(Matrix2f src, Matrix2f dest)`
Transpose the source matrix and place the result in the destination matrix.
Constructors in org.lwjgl.util.vector with parameters of type Matrix2f
Modifier
Constructor
Description
``
`Matrix2f(Matrix2f src)`
Constructor